<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">









<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

    <style type="text/css" media="screen">
    @import url('../../../../../style.css');
    @import url('../../../../../roundedcorners.css');
  </style>
    
  <title>HttpCore NIO 4.3-alpha1</title></head>
<body onload="onLoad('HttpCore NIO 4.3-alpha1: org.apache.http.nio.testserver.SimpleNHttpRequestHandlerResolver.java');">



 <table cellspacing="0" cellpadding="2" class="barGraph"><tbody>
  <tr>
    <td colspan="8">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:45:05 CET</div>

        
    
            <div class="navBar"><a href="../../../../../pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<a href="pkg-summary.html"><b>Package</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">File</span></div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="SimpleNHttpRequestHandlerResolver.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

        <td class="headerStats">
        <table>
            <tr>
                <td>
                    <img src="../../../../../img/srcFileCovDistChart10.png" alt="../../../../../img/srcFileCovDistChart10.png" usemap="#srcFileCovDistChart10.png" align="middle"/>
                    <map id="srcFileCovDistChart10.png" name="srcFileCovDistChart10.png">
<area shape="rect" coords="81,7,87,44" title="34 files have 91-100% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="74,25,80,44" title="18 files have 81-90% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="67,23,73,44" title="20 files have 71-80% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="60,30,66,44" title="13 files have 61-70% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="53,33,59,45" title="11 files have 51-60% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="46,31,52,44" title="12 files have 41-50% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="39,41,45,44" title="3 files have 31-40% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="32,45,38,46" title="0 files have 21-30% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="25,42,31,44" title="2 files have 11-20% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="18,45,24,46" title="0 files have 1-10% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="11,12,17,44" title="30 files have 0% coverage" alt="" nohref="nohref"/>
</map>
                </td>
                <td>
                    <span class="subtle"><span class="bold">0% </span>of files have more coverage</span>
                </td>
            </tr>
        </table>
    </td>
    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file SimpleNHttpRequestHandlerResolver.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      45
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      1
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      13
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      2
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file SimpleNHttpRequestHandlerResolver.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      45
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      1
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      13
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      2
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr id="legend" style="display:none;"><td colspan="8">
    <div class="hbreak">&nbsp;</div>
    <table class="legend" cellspacing="0" cellpadding="0">
        <tr><td colspan="3" class="legendTitle">Legend</td></tr>

        <tr><td class="methodToggle" align="right">line#</td><td class="methodToggle" align="right">hit count</td>
            <td class="methodToggle"> </td>
        </tr>
        <tr><td class="lineCount Good" align="right">1</td><td class="coverageCount Good hitByTest" align="right">86</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which passed</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">2</td><td class="coverageCount Good missedByTest" align="right">17</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line was covered, but not by a test case</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">3</td><td class="coverageCount Good hitByFailedTest" align="right">7</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which did not pass</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">4</td><td class="coverageCount Good hitByTest" align="right">5</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTest">line hit by more than one (selected) test</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">5</td><td class="coverageCount Good hitByTest" align="right">3</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTestUniq">line hit by one test only</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">6</td><td class="coverageCount Good hitByTest" align="right">2</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByFailedTest">line hit by one or more (selected) tests that failed</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">7</td><td class="coverageCount Bad hitByTest" align="right">1</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line has an expression (e.g. a branch) or statement that was not fully covered</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">8</td><td class="coverageCount Bad missedByTest" align="right">0</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line was not covered at all</span></td>
        </tr>
        <tr><td class="lineCount Filtered " align="right">9</td><td class="coverageCount Filtered" align="right"></td>
               <td class="srcCell"><span class="spacer"/><span class="srcLineFiltered">line was filtered</span></td>
        </tr>
        
    </table>
    <div class="hbreak">&nbsp;</div>
    
    
</td></tr>
<tr><td class="hbreak" colspan="8">&nbsp; <label onkeyup="return help_src_file_expandall_summaries;" class="sortable" onclick="toggleAllClasses(this); return false;" id="stat-expander">Expand All</label></td></tr>
</tbody>
         <tbody>
        <tr>             <td class="graphHeaderLeft" id="SimpleNHttpRequestHandlerResolver" >
                                <span class="expand methodStart" id="span-SimpleNHttpRequestHandlerResolver" onclick="toggleClass(this, 'SimpleNHttpRequestHandlerResolver', 2);return false;">&nbsp;</span>
                                <span class="titleText"> <a href="#33" title="SimpleNHttpRequestHandlerResolver">SimpleNHttpRequestHandlerResolver</a></span>
                <span class="sortable" onclick="ts_resortTable(document.getElementById('SimpleNHttpRequestHandlerResolver'), 'alpha', 0);return false;" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
            </td>

            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;">
                Line # 33
                <a name="sl-33"></a>
            </td>

                                        
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 2);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The total number of statements.';"  >Total Statements</label></span>
                    2
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 3);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';"  >% Filtered</label></span>
                    0%
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 4);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'Cyclomatic complexity is a measure of the number of paths in your code.';"  >Complexity</label></span>
                    2
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 5);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';"  >Uncovered Elements</label></span>
                    0
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 6);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';"  >TOTAL Coverage</label></span>
                    100%
</td>
<td class="graphBar graphHeader" align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
                </td>
                
                                    </tr> 
                <tr id="SimpleNHttpRequestHandlerResolver-1" style="display:none">
            <td class="methodSummary" id="summary-37-5">
                <span class="sortValue">SimpleNHttpRequestHandlerResolver(NHttpRequestHandler)</span>
                &nbsp;&nbsp;<a href="#37" title="SimpleNHttpRequestHandlerResolver(NHttpRequestHandler)" name="sl-37">SimpleNHttpRequestHandlerResolver(NHttpRequestHandler)</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">37</span>
                37
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="SimpleNHttpRequestHandlerResolver-2" style="display:none">
            <td class="methodSummary" id="summary-41-5">
                <span class="sortValue">lookup(String)&nbsp;:&nbsp;NHttpRequestHandler</span>
                &nbsp;&nbsp;<a href="#41" title="lookup(String)&nbsp;:&nbsp;NHttpRequestHandler" name="sl-41">lookup(String)&nbsp;:&nbsp;NHttpRequestHandler</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">41</span>
                41
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
             </tbody>
     <tbody><tr><td class="hbreak" colspan="8">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="barGraph">
    <tbody>
<tr>
    <td class="hbreak" align="left" colspan="4">
        &nbsp; <label class="sortable" id="testsToggle" onclick="toggleAllTests(this); return false;" onkeyup="return help_src_file_show_tests;">Show Tests </label>(12) <label onkeyup="return help_select_all;" class="selectable unselected" id="selectalltests" onclick="selectAllTests(this);">Select All </label> <label onkeyup='return help_deselect_all;' class="selectable selected" id="deselectalltests" onclick="deselectAllTests(this);">Deselect All</label>
    </td>
</tr>
</tbody>
<tbody id="tests-body" style="display:none">
<tr id="testHeaderRow">
    <td class="graphHeaderLeft titleText" align="center" >
        <label onkeyup="return help_hilight_test;" id="help_1">Highlight</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'number', 1);return false;">
        <label onkeyup="return help_test_contribution;" id="help_2">Test Contribution</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'alpha', 2);return false;">
        <label onkeyup="return help_src_file_test;" id="help_3">Test</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'alpha', 3);return false;">Result</td>
</tr>

        <tr id="test-198">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-198"></a>
            <input type="checkbox" id="cb-198" value="198" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testNoRequestHandler_5i.html';">
            <span class="sortValue">1.0</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-198">
            <span class="sortValue">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testNoRequestHandler</span>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers.html?line=1041#src-1041" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testNoRequestHandler_5i.html" title="Test Summary Page">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testNoRequestHandler</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-351">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-351"></a>
            <input type="checkbox" id="cb-351" value="351" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpException_9r.html';">
            <span class="sortValue">1.0</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-351">
            <span class="sortValue">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpException</span>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers.html?line=609#src-609" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpException_9r.html" title="Test Summary Page">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpException</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-8">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-8"></a>
            <input type="checkbox" id="cb-8" value="8" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testDelayedHttpException_8.html';">
            <span class="sortValue">1.0</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-8">
            <span class="sortValue">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testDelayedHttpException</span>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers.html?line=726#src-726" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testDelayedHttpException_8.html" title="Test Summary Page">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testDelayedHttpException</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-244">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-244"></a>
            <input type="checkbox" id="cb-244" value="244" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpPostsWithExpectContinue_6s.html';">
            <span class="sortValue">1.0</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-244">
            <span class="sortValue">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpPostsWithExpectContinue</span>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers.html?line=301#src-301" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpPostsWithExpectContinue_6s.html" title="Test Summary Page">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpPostsWithExpectContinue</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-298">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-298"></a>
            <input type="checkbox" id="cb-298" value="298" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpPostsHTTP10_8a.html';">
            <span class="sortValue">1.0</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-298">
            <span class="sortValue">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpPostsHTTP10</span>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers.html?line=274#src-274" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpPostsHTTP10_8a.html" title="Test Summary Page">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpPostsHTTP10</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-4">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-4"></a>
            <input type="checkbox" id="cb-4" value="4" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpPostsWithExpectationVerification_4.html';">
            <span class="sortValue">1.0</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-4">
            <span class="sortValue">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpPostsWithExpectationVerification</span>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers.html?line=328#src-328" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpPostsWithExpectationVerification_4.html" title="Test Summary Page">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpPostsWithExpectationVerification</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-221">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-221"></a>
            <input type="checkbox" id="cb-221" value="221" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpPostsWithContentLength_65.html';">
            <span class="sortValue">1.0</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-221">
            <span class="sortValue">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpPostsWithContentLength</span>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers.html?line=220#src-220" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpPostsWithContentLength_65.html" title="Test Summary Page">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpPostsWithContentLength</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-93">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-93"></a>
            <input type="checkbox" id="cb-93" value="93" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testDelayedHttpGets_2l.html';">
            <span class="sortValue">1.0</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-93">
            <span class="sortValue">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testDelayedHttpGets</span>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers.html?line=546#src-546" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testDelayedHttpGets_2l.html" title="Test Summary Page">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testDelayedHttpGets</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-64">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-64"></a>
            <input type="checkbox" id="cb-64" value="64" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpGets_1s.html';">
            <span class="sortValue">1.0</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-64">
            <span class="sortValue">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpGets</span>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers.html?line=201#src-201" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpGets_1s.html" title="Test Summary Page">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpGets</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-345">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-345"></a>
            <input type="checkbox" id="cb-345" value="345" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpPostsChunked_9l.html';">
            <span class="sortValue">1.0</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-345">
            <span class="sortValue">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpPostsChunked</span>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers.html?line=247#src-247" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpPostsChunked_9l.html" title="Test Summary Page">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpPostsChunked</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-148">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-148"></a>
            <input type="checkbox" id="cb-148" value="148" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpHeads_44.html';">
            <span class="sortValue">1.0</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-148">
            <span class="sortValue">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpHeads</span>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers.html?line=448#src-448" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpHeads_44.html" title="Test Summary Page">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpHeads</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-72">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-72"></a>
            <input type="checkbox" id="cb-72" value="72" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpPostWithNoEntities_20.html';">
            <span class="sortValue">1.0</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-72">
            <span class="sortValue">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpPostWithNoEntities</span>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers.html?line=944#src-944" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/nio/integration/TestAsyncNHttpHandlers_testHttpPostWithNoEntities_20.html" title="Test Summary Page">org.apache.http.nio.integration.TestAsyncNHttpHandlers.testHttpPostWithNoEntities</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
    
</tbody>
<tbody><tr><td class="hbreak" colspan="4">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="srcView">
<tbody>
<tr><td colspan="2" class="sortable methodToggle"><label onkeyup="return help_src_file_expandall_src;" onclick="toggleAllInlineMethods(this); return false;" id="method-expander">Collapse All</label></td><th></th></tr>
</tbody>
<tbody>


        

<tr id="l1">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=1#src-1">1</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-1" class="srcLine"><span class="comment">/*</span></span></td>
</tr>
        

<tr id="l2">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=2#src-2">2</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-2" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l3">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=3#src-3">3</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-3" class="srcLine"><span class="comment"> * Licensed to the Apache Software Foundation (ASF) under one</span></span></td>
</tr>
        

<tr id="l4">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=4#src-4">4</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-4" class="srcLine"><span class="comment"> * or more contributor license agreements.  See the NOTICE file</span></span></td>
</tr>
        

<tr id="l5">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=5#src-5">5</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-5" class="srcLine"><span class="comment"> * distributed with this work for additional information</span></span></td>
</tr>
        

<tr id="l6">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=6#src-6">6</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-6" class="srcLine"><span class="comment"> * regarding copyright ownership.  The ASF licenses this file</span></span></td>
</tr>
        

<tr id="l7">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=7#src-7">7</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-7" class="srcLine"><span class="comment"> * to you under the Apache License, Version 2.0 (the</span></span></td>
</tr>
        

<tr id="l8">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=8#src-8">8</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-8" class="srcLine"><span class="comment"> * &quot;License&quot;); you may not use this file except in compliance</span></span></td>
</tr>
        

<tr id="l9">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=9#src-9">9</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-9" class="srcLine"><span class="comment"> * with the License.  You may obtain a copy of the License at</span></span></td>
</tr>
        

<tr id="l10">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=10#src-10">10</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-10" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l11">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=11#src-11">11</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-11" class="srcLine"><span class="comment"> *   http://www.apache.org/licenses/LICENSE-2.0</span></span></td>
</tr>
        

<tr id="l12">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=12#src-12">12</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-12" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l13">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=13#src-13">13</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-13" class="srcLine"><span class="comment"> * Unless required by applicable law or agreed to in writing,</span></span></td>
</tr>
        

<tr id="l14">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=14#src-14">14</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-14" class="srcLine"><span class="comment"> * software distributed under the License is distributed on an</span></span></td>
</tr>
        

<tr id="l15">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=15#src-15">15</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-15" class="srcLine"><span class="comment"> * &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY</span></span></td>
</tr>
        

<tr id="l16">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=16#src-16">16</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-16" class="srcLine"><span class="comment"> * KIND, either express or implied.  See the License for the</span></span></td>
</tr>
        

<tr id="l17">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=17#src-17">17</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-17" class="srcLine"><span class="comment"> * specific language governing permissions and limitations</span></span></td>
</tr>
        

<tr id="l18">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=18#src-18">18</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-18" class="srcLine"><span class="comment"> * under the License.</span></span></td>
</tr>
        

<tr id="l19">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=19#src-19">19</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-19" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l20">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=20#src-20">20</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-20" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l21">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=21#src-21">21</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-21" class="srcLine"><span class="comment"> * This software consists of voluntary contributions made by many</span></span></td>
</tr>
        

<tr id="l22">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=22#src-22">22</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-22" class="srcLine"><span class="comment"> * individuals on behalf of the Apache Software Foundation.  For more</span></span></td>
</tr>
        

<tr id="l23">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=23#src-23">23</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-23" class="srcLine"><span class="comment"> * information on the Apache Software Foundation, please see</span></span></td>
</tr>
        

<tr id="l24">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=24#src-24">24</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-24" class="srcLine"><span class="comment"> * &lt;http://www.apache.org/&gt;.</span></span></td>
</tr>
        

<tr id="l25">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=25#src-25">25</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-25" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l26">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=26#src-26">26</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-26" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
        

<tr id="l27">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=27#src-27">27</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-27" class="srcLine"><span class="keyword">package</span> org.apache.<a href="../../../http/pkg-summary.html">http</a>.<a href="../../nio/pkg-summary.html">nio</a>.<a href="../testserver/pkg-summary.html">testserver</a>;</span></td>
</tr>
        

<tr id="l28">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=28#src-28">28</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-28" class="srcLine"></span></td>
</tr>
        

<tr id="l29">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=29#src-29">29</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-29" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../http/pkg-summary.html">http</a>.<a href="../../nio/pkg-summary.html">nio</a>.<a href="../protocol/pkg-summary.html">protocol</a>.<a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandler.html#NHttpRequestHandler">NHttpRequestHandler</a>;</span></td>
</tr>
        

<tr id="l30">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=30#src-30">30</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-30" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../http/pkg-summary.html">http</a>.<a href="../../nio/pkg-summary.html">nio</a>.<a href="../protocol/pkg-summary.html">protocol</a>.<a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandlerResolver.html#NHttpRequestHandlerResolver">NHttpRequestHandlerResolver</a>;</span></td>
</tr>
        

<tr id="l31">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=31#src-31">31</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-31" class="srcLine"></span></td>
</tr>
        

<tr id="l32">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=32#src-32">32</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-32" class="srcLine">@Deprecated</span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="33" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-33' onclick="toggleInlineStats(this, 'inlinestats-33');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-33" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-33'), 'inlinestats-33');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (4)</td>
           <td class="inlineStat">Complexity: 2</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l33">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=33#src-33">33</a></td>
<td align="right" class="coverageCount NoHilight "
           onclick="return showTestsForLine(this, 33, 'Tests that hit &lt;span class=\'srcFragment\'&gt; SimpleNHttpRequestHandlerResolver &lt;/span&gt;');"
       >
    &nbsp;&nbsp;

</td>
<td class="  srcCell" id="id-33" >
    <span class="spacer"></span><span id="src-33" class="srcLineClassStart"><span class="keyword">public</span> <span class="keyword">class</span> <a href="../../../../../org/apache/http/nio/testserver/SimpleNHttpRequestHandlerResolver.html#SimpleNHttpRequestHandlerResolver">SimpleNHttpRequestHandlerResolver</a> <span class="keyword">implements</span> <a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandlerResolver.html#NHttpRequestHandlerResolver">NHttpRequestHandlerResolver</a> {</span></td>
</tr>
        

<tr id="l34">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=34#src-34">34</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-34" class="srcLine"></span></td>
</tr>
        

<tr id="l35">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=35#src-35">35</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-35" class="srcLine">    <span class="keyword">private</span> <span class="keyword">final</span> <a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandler.html#NHttpRequestHandler">NHttpRequestHandler</a> handler;</span></td>
</tr>
        

<tr id="l36">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=36#src-36">36</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-36" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="37" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-37' onclick="toggleInlineStats(this, 'inlinestats-37');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-37" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-37'), 'inlinestats-37');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l37">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=37#src-37">37</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 37, 'Tests that hit &lt;span class=\'srcFragment\'&gt; SimpleNHttpRequestHandlerResolver(NHttpRequestHandler) &lt;/span&gt;');"
       >
    <span title="Line 37, Col 5: method entered 12 times." class="nolink">&nbsp;12</span>

</td>
<td class="  methodStart  srcCell" id="id-37" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 37,39);" id="img-37" src="../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-37" class="srcLine"><span class="nolink" title="Line 37, Col 5: method entered 12 times.">    <span class="keyword">public</span> <a href="../../../../../org/apache/http/nio/testserver/SimpleNHttpRequestHandlerResolver.html#SimpleNHttpRequestHandlerResolver">SimpleNHttpRequestHandlerResolver</a>(<span class="keyword">final</span> <a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandler.html#NHttpRequestHandler">NHttpRequestHandler</a> handler) {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-37'), 37,39);" id="e37" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l38">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=38#src-38">38</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 38, 'Tests that hit line # 38');"
    >
    <span title="Line 38, Col 9: statement executed 12 times." class="nolink">&nbsp;12</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-38" class="srcLine"><span class="nolink" title="Line 38, Col 9: statement executed 12 times.">        <span class="keyword">this</span>.handler = handler;</span></span></td>
</tr>
        

<tr id="l39">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=39#src-39">39</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-39" class="srcLine">    }</span></td>
</tr>
        

<tr id="l40">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=40#src-40">40</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-40" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="41" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-41' onclick="toggleInlineStats(this, 'inlinestats-41');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-41" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-41'), 'inlinestats-41');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l41">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=41#src-41">41</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 41, 'Tests that hit &lt;span class=\'srcFragment\'&gt; lookup(String)&amp;nbsp;:&amp;nbsp;NHttpRequestHandler &lt;/span&gt;');"
       >
    <span title="Line 41, Col 5: method entered 599 times." class="nolink">&nbsp;599</span>

</td>
<td class="  methodStart  srcCell" id="id-41" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 41,43);" id="img-41" src="../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-41" class="srcLine"><span class="nolink" title="Line 41, Col 5: method entered 599 times.">    <span class="keyword">public</span> <a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandler.html#NHttpRequestHandler">NHttpRequestHandler</a> lookup(<span class="keyword">final</span> String requestURI) {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-41'), 41,43);" id="e41" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l42">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=42#src-42">42</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 42, 'Tests that hit line # 42');"
    >
    <span title="Line 42, Col 9: statement executed 601 times." class="nolink">&nbsp;601</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-42" class="srcLine"><span class="nolink" title="Line 42, Col 9: statement executed 601 times.">        <span class="keyword">return</span> <span class="keyword">this</span>.handler;</span></span></td>
</tr>
        

<tr id="l43">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=43#src-43">43</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-43" class="srcLine">    }</span></td>
</tr>
        

<tr id="l44">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=44#src-44">44</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-44" class="srcLine"></span></td>
</tr>
        

<tr id="l45">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=45#src-45">45</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-45" class="srcLine">}</span></td>
</tr>
</tbody></table>
<table width="100%"><tr><td class="hbreak" colspan="8">&nbsp;</td></tr>
<tr><td class="footer" colspan="8">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:45:34 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
<script type="text/javascript">
    var ol_bgclass = "overBG";
    var ol_fgclass = "overFG";
    var ol_cgclass = "overCaption";
    var ol_captionfontclass= "overCaption";
    var ol_closefontclass = "closeFont";
    var ol_closeclick = 1;
    var ol_close = 'X';
    var ol_wrap = 1;
    var rootRelPath = '../../../../../';
    var testsPerFile = -1;
</script>
<script src="SimpleNHttpRequestHandlerResolver.js" type="text/javascript"></script>
<script src="../../../../../help.js" type="text/javascript"></script>
<script src="../../../../../clover.js" type="text/javascript"></script>
<script src="../../../../../sorttable.js" type="text/javascript"></script>
<script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
<script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
<script src="../../../../../utils.js" type="text/javascript"></script>
</body>

</html>
